> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Consensus Block

> Get consensus block and its update timestamp.



## OpenAPI

````yaml get /getConsensusBlock
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getConsensusBlock:
    get:
      tags:
        - blocks
      summary: Get Consensus Block
      description: Get consensus block and its update timestamp.
      operationId: get_consensus_block_getConsensusBlock_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConsensusBlockResponse'
              examples:
                sample1:
                  summary: Consensus block example 1
                  value:
                    ok: true
                    result:
                      '@type': blocks.masterchainInfo
                      last:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 51148869
                        root_hash: HxogBiV2YA+KrC9cJa5llfvDGNk2hwCqsaCSYo40V00=
                        file_hash: h7LOaX0cTqc8qKecsNYi32SVu0McCito3P2qzynvdqk=
                      state_root_hash: SU9xlvY1tnXd/E06/9Ls8DOjNcCNpqf4wtJhC0+viok=
                      init:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '0'
                        seqno: 0
                        root_hash: F6OpKZKqvqeFp6CQmFomXNMfMj2EnaUSOXN+Mh+wVWk=
                        file_hash: XplPz01CXAps5qeSWUtxcyBfdAo5zVb1N979KLSKD24=
                      '@extra': 1755813293.2727234:6:0.6121521629223031
                sample2:
                  summary: Consensus block example 2
                  value:
                    ok: true
                    result:
                      '@type': blocks.masterchainInfo
                      last:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 34540013
                        root_hash: uX5uaK8EVq90YRy3hTgdMzM2bjnXkcqcKOZJPAFv+Dk=
                        file_hash: 68Zd55gJrmESJD6MAqua4yADxYUg6zOhh8BFzl3GRrA=
                      state_root_hash: FVv5b6iHA/9IBdUtGGCAOWthmqJpwikz4J2UdcbLjEk=
                      init:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '0'
                        seqno: 0
                        root_hash: gj+B8wb/AmlPk1z1AhVI484rhrUpgSr2oSFIh56VoSg=
                        file_hash: Z+IKwYS54DmmJmesw/nAD5DzWadnOCMzee+kdgSYDOg=
                    '@extra': '1755813463:11:25.756'
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetConsensusBlockResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/BlocksMasterchainInfo'
              description: Consensus block information from the masterchain.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    BlocksMasterchainInfo:
      type: object
      description: Information about the latest masterchain block.
      properties:
        '@type':
          type: string
          example: blocks.masterchainInfo
        last:
          $ref: '#/components/schemas/TonBlockIdExt'
        state_root_hash:
          type: string
        init:
          $ref: '#/components/schemas/TonBlockIdExt'
        '@extra':
          type: string
      required:
        - last
        - state_root_hash
        - init
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.

````